Tracker Bug 164

Slow file transfers

Last modified: 2016-05-19 09:21:11

No search results available

: Slow file transfers Bug# 164
: WinSCP : Unspecified
: Core : unspecified
Status: RESOLVED : Medium
Resolution: FIXED   : Enhancement
Fixed in: 5.8
Description
2008-02-28 10:18
Many users report WinSCP not to utilize all available bandwidth.

This topic is discussed in FAQ:
https://winscp.net/eng/docs/faq_slow
Comment #1
2008-02-28 10:26:01
Releated: Bug #1, Bug #17.
Also WinSCP 4.1 will support (less secure) Arcfour cipher, which should be fast.
Comment #2
2008-02-28 10:52:09
WinSCP (FAR plugin 1.5.1 base on WinSCP 3.8.2) is as fast as PSCP (8 MB/s) and SFTP (3 MB/s) (PuTTY 0.60):
https://winscp.net/forum/viewtopic.php?t=3137

WinSCP 3.8.2 is as fast on upload as SSH Secure Shell 3.2.9, but much slower on download on WinXP. On Win2K it is as fast:
https://winscp.net/forum/viewtopic.php?t=4684

Transfer rate is capped at 100KBps:
https://winscp.net/forum/viewtopic.php?t=5277
https://winscp.net/forum/viewtopic.php?t=5313

SCP significantly faster than SFTP:
https://winscp.net/forum/viewtopic.php?t=5096

https://winscp.net/forum/viewtopic.php?t=2455

PuTTY 0.59 much faster than 0.58:
https://winscp.net/forum/viewtopic.php?p=14104#14104
Comment #3
2009-03-02 08:22:55
4.2.1 almost twice as fast as 4.1.8 on Windows Vista:
https://winscp.net/forum/viewtopic.php?t=6614
Comment #4
2009-07-03 08:13:29
Suggestion for fixing network speed after installing SP2 for Vista:
https://winscp.net/forum/viewtopic.php?p=24994#24994
Comment #5
2009-08-19 08:39:24
Fixing network speed in WinXP:
https://winscp.net/forum/viewtopic.php?p=25801#25801
Comment #6
2010-10-16 20:46:25
It has been suggested by ultramage that increasing SSH socket buffer size may instead transfer speed. See Bug 615.
Comment #7
2011-11-11 09:35:11
Bug 615 has been rolled back by Bug 677 as some users were having problems with it.
The fix was reintroduced by Bug 690, with option to disable it, in 5.0.3.
Comment #8
2016-05-17 09:33:26
Bug 787: 5.0.6: When Optimize connection buffer size is enabled, also FTP socket internal buffer size is increased.
Comment #9
2016-05-17 09:33:42
Bug 1141: 5.2.2: Increase local SSH send buffer to improve performance
Comment #10
2016-05-17 09:33:57
Bug 1273: 5.7: Size of connection receiving buffer increased.
Comment #11
2016-05-17 09:34:28
5.8: Improved transfer speed:
- with SFTP and SCP protocols when CPU is limiting factor.
- with SFTP on high latency connections Bug 1295
Comment #12
2016-05-19 09:21:11
5.8.3: Dynamically increase TCP send buffer on fast connections.

No search results available

Bug filters: [Pending bugs] [All bugs] [Fixed bugs]

Search

What is WinSCP?

It is award-winning SFTP client, SCP client, FTPS client and FTP client integrated into one software program for file transfer to FTP server or secure SFTP server. [More]

And it's free!

Donate

About donations

$9   $19   $49   $99

About donations

Recommend

WinSCP Privacy Policy

WinSCP License